Subject: bug#355: M-x should prompt with function under cursor as default

From: Stefan Monnier <[email-masked]>
Date: Thu, 05 Jun 2008 14:55:58 -0400

tag 355 +wontfix

JPW> patch follows.  If you could test it
JPW> --- keyboard.c
>                  ^^thank you but in my "apt-get install emacs" world I
> don't brush with .c's, and in fact have barely the brains to test
> .el's. So thank you anyway and I'm sure your fix works. OK, bye.

In any case, I don't think the functionality you're asking makes much
sense: it is rather rare to do a M-x where the command you want to run
happens to be under point.

        Stefan